devplugin

## Class ProgramInfoHelper

- java.lang.Object
- - devplugin.ProgramInfoHelper

-     public class ProgramInfoHelper
      extends java.lang.Object

  Holds all Information needed to Display the additional Informations to a Program, like Black and White..
  Author:
    bodo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int[]` | `mInfoBitArr` Deprecated. since 3.0, use `getInfoBits()` instead
    `static javax.swing.Icon[]` | `mInfoIconArr` Deprecated. since 3.0, use `getInfoIcons()` instead
    `static java.lang.String[]` | `mInfoIconFileName` Deprecated. since 3.0, use `getInfoIconFilenames()` instead
    `static java.lang.String[]` | `mInfoMsgArr` Deprecated. since 3.0, use `getInfoIconMessages()` instead

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramInfoHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `bitSet(int num, int pattern)` Returns whether a bit (or combination of bits) is set in the specified number.
    `static int` | `getBitForIndex(int index)`
    `static int` | `getIndexForBit(int bit)`
    `static int[]` | `getInfoBits()`
    `static java.lang.String[]` | `getInfoIconFilenames()` Deprecated. since 3.3.4
    `static java.lang.String[]` | `getInfoIconMessages()`
    `static javax.swing.Icon[]` | `getInfoIcons()`
    `static java.lang.String[]` | `getInfoIconURLs()`
    `static java.lang.String` | `getMessageForBit(int bit)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mInfoBitArr

          @Deprecated
          public static final int[] mInfoBitArr

      Deprecated. since 3.0, use `getInfoBits()` instead
      The Bit-Array with all possibilities

    - #### mInfoIconArr

          @Deprecated
          public static final javax.swing.Icon[] mInfoIconArr

      Deprecated. since 3.0, use `getInfoIcons()` instead
      The Icons for the Bits

    - #### mInfoIconFileName

          @Deprecated
          public static final java.lang.String[] mInfoIconFileName

      Deprecated. since 3.0, use `getInfoIconFilenames()` instead
      The Icon URLs for the Bits

    - #### mInfoMsgArr

          @Deprecated
          public static final java.lang.String[] mInfoMsgArr

      Deprecated. since 3.0, use `getInfoIconMessages()` instead
      The String representation of the Bits

  - ### Constructor Detail

    - #### ProgramInfoHelper

          public ProgramInfoHelper()

  - ### Method Detail

    - #### bitSet

          public static boolean bitSet(int num,
                       int pattern)

      Returns whether a bit (or combination of bits) is set in the specified number.
      Parameters:
        `num` -
        `pattern` -
      Returns:
        `true`, if the bit is set

    - #### getInfoBits

          public static final int[] getInfoBits()

      Returns:
        the info bit array
      Since:
        3.0

    - #### getInfoIcons

          public static final javax.swing.Icon[] getInfoIcons()

      Returns:
        the info icon array
      Since:
        3.0

    - #### getInfoIconFilenames

          public static final java.lang.String[] getInfoIconFilenames()

      Deprecated. since 3.3.4
      Returns:
        the info icon URLs array
      Since:
        3.0

    - #### getInfoIconURLs

          public static final java.lang.String[] getInfoIconURLs()

      Returns:
        The info icon URLs array
      Since:
        3.3.4

    - #### getInfoIconMessages

          public static final java.lang.String[] getInfoIconMessages()

      Returns:
        the info message array (localized)
      Since:
        3.0

    - #### getMessageForBit

          public static java.lang.String getMessageForBit(int bit)

      Parameters:
        `bit` - The bit to get message for.
      Returns:
        The message for the given bit.
      Since:
        3.3.4

    - #### getIndexForBit

          public static int getIndexForBit(int bit)

      Parameters:
        `bit` - The bit to get the index for.
      Returns:
        The index of the bit or -1 if bit not found.
      Since:
        3.3.4

    - #### getBitForIndex

          public static int getBitForIndex(int index)

      Parameters:
        `index` - The index to get the bit for.
      Returns:
        The bit for the index or 0 if index available.
      Since:
        3.3.4

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)